<?xml version="1.0" encoding="utf-8"?>
<resources>
    <declare-styleable name="LoadingView">
        <attr name="color" format="color"/>
        <attr name="ring_style" format="enum">
            <enum name="square" value="0"/>
            <enum name="round" value="1"/>
        </attr>
        <attr name="progress_style" format="enum">
            <enum name="material" value="0"/>
            <enum name="linear" value="1"/>
        </attr>

        <attr name="ring_width" format="dimension"/>
        <attr name="ring_radius" format="dimension"/>


    </declare-styleable>
    <declare-styleable name="LabelView">
        <attr name="backgroundColor" format="color"/>
        <attr name="textTitleColor" format="color"/>
        <attr name="textContentColor" format="color"/>

        <attr name="textTitle" format="string"/>
        <attr name="textContent" format="string"/>

        <attr name="textTitleSize" format="dimension"/>
        <attr name="textContentSize" format="dimension"/>

        <attr name="labelTopPadding" format="dimension"/>
        <attr name="labelCenterPadding" format="dimension"/>
        <attr name="labelBottomPadding" format="dimension"/>
        <attr name="labelTopDistance" format="dimension"/>

        <attr name="textTitleStyle">
            <enum name="normal" value="0"/>
            <enum name="italic" value="1"/>
            <enum name="bold" value="2"/>
        </attr>

        <attr name="textContentStyle">
            <enum name="normal" value="0"/>
            <enum name="italic" value="1"/>
            <enum name="bold" value="2"/>
        </attr>

        <attr name="direction">
            <enum name="leftTop" value="-45"/>
            <enum name="rightTop" value="45"/>
        </attr>
    </declare-styleable>
    <declare-styleable name="StateView">
        <attr name="emptyResource" format="reference" />
        <attr name="retryResource" format="reference" />
        <attr name="loadingResource" format="reference" />
    </declare-styleable>
    <declare-styleable name="NumberProgressBar">
        <attr name="progress_current" format="integer" />
        <attr name="progress_max" format="integer" />
        <attr name="progress_unreached_color" format="color" />
        <attr name="progress_reached_color" format="color" />
        <attr name="progress_reached_bar_height" format="dimension" />
        <attr name="progress_unreached_bar_height" format="dimension" />
        <attr name="progress_text_size" format="dimension" />
        <attr name="progress_text_color" format="color" />
        <attr name="progress_text_offset" format="dimension" />
        <attr name="progress_text_visibility" format="enum">
            <enum name="visible" value="0" />
            <enum name="invisible" value="1" />
        </attr>
    </declare-styleable>
    <declare-styleable name="RxShapeLoadingView">

        <attr name="loadingText" format="string"/>
        <attr name="loadingTextAppearance" format="reference"/>
    </declare-styleable>
    <declare-styleable name="AbstractWheelView">
        <attr name="visibleItems" format="integer"/>
        <attr name="isAllVisible" format="boolean"/>
        <attr name="itemOffsetPercent" format="integer"/>
        <attr name="itemsPadding" format="dimension"/>
        <attr name="selectionDividerDimmedAlpha" format="integer"/>
        <attr name="selectionDividerActiveAlpha" format="integer"/>
        <attr name="selectionDivider" format="reference"/>
        <attr name="itemsDimmedAlpha" format="integer"/>
        <attr name="isCyclic" format="boolean"/>
    </declare-styleable>

    <declare-styleable name="WheelHorizontalView">
        <attr name="selectionDividerWidth" format="dimension"/>
    </declare-styleable>
    <declare-styleable name="WheelVerticalView">
        <attr name="selectionDividerHeight" format="dimension"/>
    </declare-styleable>

    <attr name="abstractWheelViewStyle" format="reference"/>
    <attr name="SpinKitViewStyle" format="reference" />

    <declare-styleable name="SpinKitView">
        <attr name="SpinKit_Style">
            <enum name="RotatingPlane" value="0" />
            <enum name="DoubleBounce" value="1" />
            <enum name="Wave" value="2" />
            <enum name="WanderingCubes" value="3" />
            <enum name="Pulse" value="4" />
            <enum name="ChasingDots" value="5" />
            <enum name="ThreeBounce" value="6" />
            <enum name="Circle" value="7" />
            <enum name="CubeGrid" value="8" />
            <enum name="FadingCircle" value="9" />
            <enum name="FoldingCube" value="10" />
            <enum name="RotatingCircle" value="11" />
            <enum name="MultiplePulse" value="12" />
            <enum name="PulseRing" value="13" />
            <enum name="MultiplePulseRing" value="14" />
        </attr>
        <attr name="SpinKit_Color" format="color" />
    </declare-styleable>
    <declare-styleable name="RxScaleImageView">
        <attr name="src" format="reference"/>
        <attr name="assetName" format="string"/>
        <attr name="panEnabled" format="boolean"/>
        <attr name="zoomEnabled" format="boolean"/>
        <attr name="quickScaleEnabled" format="boolean"/>
        <attr name="tileBackgroundColor" format="color"/>
    </declare-styleable>
</resources>